/*
 * File         : SOCK_Library.h
 * Author       : Tomasz Stachowiak
 * Created      : Tue Jun 23 17:33:41 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#ifndef __SOCK_LIBRARY_H
#define __SOCK_LIBRARY_H

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/time.h>

#include <netdb.h>
#include <unistd.h>

class SOCK_Library
{

 public:

  static int gethostname(int id, char *name);
  static int gethostid(char *host);
  static int filladdr(struct sockaddr_in *addr, int host, int port);
  static int getlocalhostid();
  static int getlocalusername(char *name);

};



#endif

